VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Cluster Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Cluster:

## Classes
class | FilterSpec
class | Info
class | Summary

## Avaliable Methods
public method | get ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vcenter::Cluster` interface provides methods to manage clusters in the vCenter Server. Constant String::RESOURCE_TYPE # The resource type for the vCenter Cluster

## Member Function Documentation

public method Com::Vmware::Vcenter::Cluster::get | ( |  | ) |

Retrieves information about the cluster corresponding to `cluster` .

Parameters

  cluster | [REQUIRED] Identifier of the cluster. The value must be an identifier for the resource type getQualifiedName(ClusterComputeResource). . The value must be str.

Return values

  The | class Com::Vmware::Vcenter::Cluster::Info instances that corresponds to the `cluster` . The return type will be Com::Vmware::Vcenter::Cluster::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if there is no cluster associated with `cluster` in the system.
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't not have the required privileges.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $cluster = $args {cluster};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Cluster::list | ( |  | ) |

Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the class Com::Vmware::Vcenter::Cluster::FilterSpec .

Parameters

  filter | [OPTIONAL] Specification of matching clusters for which information should be returned. If null , the behavior is equivalent to a class Com::Vmware::Vcenter::Cluster::FilterSpec with all fields null which means all clusters match the filter. . The value must be Com::Vmware::Vcenter::Cluster::FilterSpec or None.

Return values

  Commonly | used information about the clusters matching the class Com::Vmware::Vcenter::Cluster::FilterSpec . The return type will be Array of Com::Vmware::Vcenter::Cluster::Summary

Exceptions

  Com::Vmware::Vapi::Std::Errors::UnableToAllocateResource | if more than 1000 clusters match the class Com::Vmware::Vcenter::Cluster::FilterSpec
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the user can not be authenticated.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't have the required privileges.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $filter = $args {filter};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Cluster::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Cluster.pm